(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.gotoAndPlay = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
	}
}).prototype = p = new cjs.MovieClip();
// symbols:



(lib.ExclamationMark = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Symbol
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#FFFFFF").ss(3,1,1).p("AB5DjIjtAAIgyu5IFRAAgAB/G2QAsArAABQQAABNgtAtQgtAshQAAQhRAAgtgrQgtgsAAhPQAAhSAsgqQAsgqBTAAQBRAAAtArg");
	this.shape.setTransform(0.025,0);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("Ah9KsQgtgsAAhPQAAhSAsgqQAsgqBTAAQBRAAAtArQAsArAABQQAABNgtAtQgtAshQAAQhRAAgtgrgAh0DjIgyu5IFRAAIgyO5g");
	this.shape_1.setTransform(0.025,0);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f().s("#FFFFFF").ss(3,1,1).p("AiqI4QAAhOAsgoQAsgpBTAAQBRAAAtApQAsAqAABMQAABKgtArQgtAqhQAAQhRAAgtgpQgtgqAAhMgAimrWIFRAAIgyO5IjtAAg");
	this.shape_2.setTransform(0.025,-1.7);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#FFFFFF").s().p("Ah9KuQgtgqAAhMQAAhPAsgnQAsgpBTAAQBRAAAtApQAsAqAABMQAABKgtArQgtAqhQAAQhRAAgtgpgAh0DjIgyu5IFRAAIgyO5g");
	this.shape_3.setTransform(0.025,-1.7);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f().s("#FFFFFF").ss(3,1,1).p("AB5DXIjtAAIgyu5IFRAAgAiqIxQAAhYAsgtQAsgtBTAAQBRAAAtAuQAsAuAABWQAABSgtAxQgtAvhQAAQhRAAgtguQgtgvAAhVg");
	this.shape_4.setTransform(0.025,-1.375);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("#FFFFFF").s().p("Ah9K1QgtgvAAhVQAAhYAsgtQAsgtBTAAQBRAAAtAuQAsAuAABWQAABSgtAxQgtAvhQAAQhRAAgtgugAh0DXIgyu5IFRAAIgyO5g");
	this.shape_5.setTransform(0.025,-1.375);

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f().s("#FFFFFF").ss(3,1,1).p("ACrriIgyPFIjtAAIgyvFgAB/G5QAsAtAABSQAABPgtAvQgtAthQAAQhRAAgtgsQgtguAAhRQAAhUAsgsQAsgrBTAAQBRAAAtAsg");
	this.shape_6.setTransform(0.025,-1.375);

	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f("#FFFFFF").s().p("Ah9K3QgtguAAhRQAAhUAsgsQAsgrBTAAQBRAAAtAsQAsAtAABSQAABPgtAvQgtAthQAAQhRAAgtgsgAh0DjIgyvFIFRAAIgyPFg");
	this.shape_7.setTransform(0.025,-1.375);

	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f().s("#FFFFFF").ss(3,1,1).p("AiqIxQAAhSAsgqQAsgqBTAAQBRAAAtArQAsArAABQQAABNgtAtQgtAshQAAQhRAAgtgrQgtgsAAhPgAimrWIFRAAIgyO5IjtAAg");
	this.shape_8.setTransform(0.025,0);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).to({state:[{t:this.shape_3},{t:this.shape_2}]},1).to({state:[{t:this.shape_5},{t:this.shape_4}]},1).to({state:[{t:this.shape_7},{t:this.shape_6}]},1).to({state:[{t:this.shape_1},{t:this.shape_8}]},1).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-18.5,-76.7,37.1,150.9);


(lib.circle = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// timeline functions:
	this.frame_29 = function() {
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).wait(29).call(this.frame_29).wait(1));

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#CED649").s().p("AgcgJIAfAAIAaAAQgJAKgOAJIgDAAIgUAAQgFgIgGgLg");
	this.shape.setTransform(81.725,0.0125);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#CED649").s().p("Ag8ADIAAgBIgCABIgCAAIgBAAIgVAAQgFgHgGgMIAgAAIAEAAIADAAIATAAQBGACBDANQgGAGgCAMQhJgOhNAAg");
	this.shape_1.setTransform(88.6375,0.7);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#CED649").s().p("AiigdIgCAAIgBAAIgVAAQgFgIgGgMIAgAAIAaAAQC3AFCaBLQgGAIgBALQihhOjAgBg");
	this.shape_2.setTransform(98.6375,4.0125);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#CED649").s().p("AkIhnIABAAQgEgBgCABIgEAAIgUABQgFgIgGgMIAfAAIAKAAIAQAAQFBAJDnDhIgNAJIgDACQjnjelCgEg");
	this.shape_3.setTransform(109.35,11.35);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("#CED649").s().p("ADFgRQjljmlCgHQAAgBgPAAIgCABIgDAAIgUAAQgGgIgGgMIAgAAIAaAAIAAAAQFHAJDoDqQCICGA8CmIgTAGQg7iiiEiCg");
	this.shape_4.setTransform(119.5125,26.525);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("#CED649").s().p("AGpGmIgOgLIAAgJQAAlPjujtQjrjrlNgCIgDAAIgEAAIgRABQgFgIgGgMIAdgBIADAAIAaABQFHAJDoDpQD0DzAAFXIAAAaIgGgGg");
	this.shape_5.setTransform(121.925,41.7625);

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("#CED649").s().p("AFnIhQA0iIAAidQAAlOjujuQjrjslNgBIgDAAIgIAAIgNAAQgFgIgGgMIAaAAIAGAAIAaAAQFHAJDoDqQD0DzAAFXQAACwhBCWIgHghg");
	this.shape_6.setTransform(121.925,56.8);

	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f("#CED649").s().p("AECKSIgGgMQCfjQAAkSQAAlPjujtQjrjslNgBIgDAAIgFAAIgQAAQgFgIgGgMIATAAIANAAIAaAAQFHAJDoDqQD0DzAAFXQAAEeipDYIgEgIg");
	this.shape_7.setTransform(121.925,65.625);

	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f("#CED649").s().p("AB7LXIgDgMQAbgXAagaQDujtAAlQQAAlOjujuQjrjslNgBIgDAAIgKAAIgLABQgFgJgGgLIATgBIANAAIAaABQFHAIDoDqQD0D0AAFWQAAFYj0DzQgeAeggAbIgCgKg");
	this.shape_8.setTransform(121.925,72.675);

	this.shape_9 = new cjs.Shape();
	this.shape_9.graphics.f("#CED649").s().p("AACMIIgCgSQBcg1BRhSQDujtAAlPQAAlPjujtQjrjslNgBIgDAAIgHAAIgOAAQgFgIgGgMIATAAIANAAIAaAAQFHAJDoDqQD0DzAAFXQAAFXj0DzQhWBXhiA3IgBgDg");
	this.shape_9.setTransform(121.925,76.9125);

	this.shape_10 = new cjs.Shape();
	this.shape_10.graphics.f("#CED649").s().p("AiHMVQCqg6CKiKQDujtAAlPQAAlPjujtQjrjslNgBIgDAAIgDAAIgSAAQgFgIgGgMIAWAAIAKAAIAaAAQFHAJDoDqQD0DzAAFXQAAFXj0DzQiOCPixA7IgDgUg");
	this.shape_10.setTransform(121.925,79.925);

	this.shape_11 = new cjs.Shape();
	this.shape_11.graphics.f("#CED649").s().p("AlMM1QAAgFgDgHQEngVDVjWQDujtAAlQQAAlOjujuQjrjslNgBIgDAAIgKAAIgLAAQgFgIgGgLIAVgBIALAAIAaAAQFHAJDoDqQD0D0AAFWQAAFYj0DzQjaDckuAVIABgIg");
	this.shape_11.setTransform(121.925,81.8875);

	this.shape_12 = new cjs.Shape();
	this.shape_12.graphics.f("#CED649").s().p("AneM1IAGgTQA7AIA/AAQFQAADsjuQDtjtAAlPQAAlOjtjuQjrjslNgBIgEAAIgFAAIgPAAQgFgIgGgMIAXAAIAIAAIAaAAQFGAJDqDqQDzDzAAFXQAAFYjzDzQjyDzlYAAQhCAAg+gJg");
	this.shape_12.setTransform(117.075,82);

	this.shape_13 = new cjs.Shape();
	this.shape_13.graphics.f("#CED649").s().p("Ao4MGIANgRQCJA1CeAAQFOAADtjuQDujtAAlPQAAlOjujuQjrjslNgBIgDAAIgGAAIgOAAQgGgIgGgMIAVAAIALAAIAaAAQFGAJDqDqQDzDzAAFXQAAFYjzDzQjzDzlXAAQimAAiOg4g");
	this.shape_13.setTransform(108.1,82);

	this.shape_14 = new cjs.Shape();
	this.shape_14.graphics.f("#CED649").s().p("Ap4LDIAJgRQC9B4DuAAQFPAADtjuQDujtgBlPQABlOjujuQjsjslMgBIgEAAIgBAAIgTAAQgFgIgGgMIAdAAIACAAIAaAAQFGAJDqDqQDzDzAAFXQAAFYjzDzQjzDzlXAAQjzAAjBh7g");
	this.shape_14.setTransform(101.65,82);

	this.shape_15 = new cjs.Shape();
	this.shape_15.graphics.f("#CED649").s().p("Aq3JiIAHgVQDoDdFDAAQFPAADtjuQDtjtAAlPQAAlOjtjuQjsjslMgBIgEAAIgCAAIgSAAQgFgIgGgMIAdAAIACAAIAaAAQFGAJDqDqQDzDzAAFXQAAFYjzDzQjzDzlXAAQlGAAjsjcg");
	this.shape_15.setTransform(95.3625,82);

	this.shape_16 = new cjs.Shape();
	this.shape_16.graphics.f("#CED649").s().p("AqXJLQgxgygog2IAMgSQAoA4AzAzQDuDuFPAAQFOAADtjuQDujtAAlPQAAlOjujuQjrjrlLgCIAAgBIgCABIgDAAIgUAAQgGgIgGgMIAgAAIAFAAIAVAAQFGAJDqDqQDzDzAAFXQAAFYjzDzQjzDzlXAAQlYAAjzjzg");
	this.shape_16.setTransform(89.7,82);

	this.shape_17 = new cjs.Shape();
	this.shape_17.graphics.f("#CED649").s().p("AphJLQiJiIg8ioIAOgWQA6CtCKCKQDuDuFPAAQFPAADtjuQDujtgBlPQABlOjujuQjsjslMgBIgEAAIgFAAIgPAAQgFgIgGgMIAaAAIAFAAIAZAAQFHAJDqDqQDzDzAAFXQAAFYjzDzQjzDzlXAAQlXAAjzjzg");
	this.shape_17.setTransform(84.35,82);

	this.shape_18 = new cjs.Shape();
	this.shape_18.graphics.f("#CED649").s().p("ApMJLQjVjWgakjIATgMQAXEjDTDTQDuDuFPAAQFPAADtjuQDtjtAAlPQAAlOjtjuQjsjslNgBIgDAAIAAAAIgUAAQgFgIgGgMIAfAAIABAAIAYAAQFHAJDqDqQDzDzAAFXQAAFYjzDzQjzDzlXAAQlXAAj0jzg");
	this.shape_18.setTransform(82.175,82);

	this.shape_19 = new cjs.Shape();
	this.shape_19.graphics.f("#CED649").s().p("ApKJLQjzjzAAlYQAAhEAKhBQAMgGAHgBIACgBQgLBFAABIQAAFPDtDtQDuDuFOAAQFPAADtjuQDujtAAlPQAAlOjujuQjrjslOgBIgDAAIgHAAIgMAAQgGgIgGgMIAUAAIALAAIAaAAQFHAJDqDqQDzDzAAFXQAAFYjzDzQjzDzlYAAQlXAAjzjzg");
	this.shape_19.setTransform(82,82);

	this.shape_20 = new cjs.Shape();
	this.shape_20.graphics.f("#CED649").s().p("ApKJLQjzjzAAlYQAAisA9iTIAXgBQhACTAACtQAAFPDtDtQDuDuFOAAQFPAADtjuQDujtAAlPQAAlOjujuQjrjslOgBIgDAAIgJAAIgKAAQgGgIgGgMIAaAAIAFAAIAaAAQFHAJDqDqQDzDzAAFXQAAFYjzDzQjzDzlYAAQlXAAjzjzg");
	this.shape_20.setTransform(82,82);

	this.shape_21 = new cjs.Shape();
	this.shape_21.graphics.f("#CED649").s().p("ApKJLQjzjzAAlYQAAkICQjOIASAFIAEAAQiSDLAAEGQAAFPDtDtQDuDuFOAAQFPAADtjuQDujtAAlPQAAlOjujuQjrjslOgBIgDAAIgJAAIgKAAQgGgIgGgMIATAAIAMAAIAaAAQFHAJDqDqQDzDzAAFXQAAFYjzDzQjzDzlYAAQlXAAjzjzg");
	this.shape_21.setTransform(82,82);

	this.shape_22 = new cjs.Shape();
	this.shape_22.graphics.f("#CED649").s().p("ApKJLQjzjzAAlYQAAlXDzjzIAggeIANAMIACABIghAfQjtDuAAFOQAAFPDtDtQDuDuFOAAQFPAADtjuQDujtAAlPQAAlOjujuQjrjslOgBIgDAAIgGAAIgNAAQgGgIgGgMIAYAAIAHAAIAaAAQFHAJDqDqQDzDzAAFXQAAFYjzDzQjzDzlYAAQlXAAjzjzg");
	this.shape_22.setTransform(82,82);

	this.shape_23 = new cjs.Shape();
	this.shape_23.graphics.f("#CED649").s().p("ApKJLQjzjzAAlYQAAlXDzjzQAmgnApgfIAAAAQAoggAqgZIAGATQgnAYgkAdIAAAAQgoAggmAlQjtDuAAFOQAAFPDtDtQDuDuFOAAQFPAADtjuQDujtAAlPQAAlOjujuQjrjslOgBIgDAAIgGAAIgNAAQgGgIgGgMIAeAAIABAAIAaAAQFHAJDqDqQDzDzAAFXQAAFYjzDzQjzDzlYAAQlXAAjzjzg");
	this.shape_23.setTransform(82,82);

	this.shape_24 = new cjs.Shape();
	this.shape_24.graphics.f("#CED649").s().p("ApKJLQjzjzAAlYQAAlXDzjzQAmgnApgfIAAAAQBKg6BRgnIAAACQAAAJAFAJQhNAlhGA3IAAAAQgoAggmAlQjtDuAAFOQAAFPDtDtQDuDuFOAAQFPAADtjuQDujtAAlPQAAlOjujuQjrjslOgBIgDAAIgIAAIgLAAQgGgIgGgMIAXAAIAHAAIABAAIAaAAQFHAJDqDqQDzDzAAFXQAAFYjzDzQjzDzlYAAQlXAAjzjzg");
	this.shape_24.setTransform(82,82);

	this.shape_25 = new cjs.Shape();
	this.shape_25.graphics.f("#CED649").s().p("ApKJLQjzjzAAlYQAAlXDzjzQAmgnApgfIAAAAQBzhbCGgrIAEAUQiCAqhuBXIAAAAQgoAggmAlQjtDuAAFOQAAFPDtDtQDuDuFOAAQFPAADtjuQDujtAAlPQAAlOjujuQjrjslOgBIgBAAIgCAAIgTAAQgGgIgGgMIAfAAIABAAIAZAAQFHAJDqDqQDzDzAAFXQAAFYjzDzQjzDzlYAAQlXAAjzjzg");
	this.shape_25.setTransform(82,82);

	this.shape_26 = new cjs.Shape();
	this.shape_26.graphics.f("#CED649").s().p("ApKJLQjzjzAAlYQAAlXDzjzQAmgnApgfIAAAAQCTh0CzgnIADAVQiuAliOBwIAAAAQgoAggmAlQjtDuAAFOQAAFPDtDtQDuDuFOAAQFPAADtjuQDujtAAlPQAAlOjujuQjrjslOgBIgDAAIgKAAIgJAAQgGgIgGgMIATAAIAMAAIAaAAQFHAJDqDqQDzDzAAFXQAAFYjzDzQjzDzlYAAQlXAAjzjzg");
	this.shape_26.setTransform(82,82);

	this.shape_27 = new cjs.Shape();
	this.shape_27.graphics.f("#CED649").s().p("ApKJLQjzjzAAlYQAAlXDzjzQAmgnApgfIAAAAQCviKDcgcIgEAUQjTAdinCEIAAAAQgoAggmAlQjtDuAAFOQAAFPDtDtQDuDuFOAAQFPAADtjuQDujtAAlPQAAlOjujuQjrjslOgBIgDAAIgFAAIgOAAQgGgIgGgMIAZAAIAGAAIAaAAQFHAJDqDqQDzDzAAFXQAAFYjzDzQjzDzlYAAQlXAAjzjzg");
	this.shape_27.setTransform(82,82);

	this.shape_28 = new cjs.Shape();
	this.shape_28.graphics.f("#CED649").s().p("ApKJLQjzjzAAlYQAAlXDzjzQAmgnApgfIAAAAQDaitEhAAQFYAADzDzQDzDzAAFXQAAFYjzDzQjzDzlYAAQlXAAjzjzgAnuqBIAAAAQgoAggmAlQjtDuAAFOQAAFPDtDtQDuDuFOAAQFPAADtjuQDujtAAlPQAAlOjujuQjtjtlPAAIAAAAQkaAAjUCog");
	this.shape_28.setTransform(82,82);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape}]}).to({state:[{t:this.shape_1}]},1).to({state:[{t:this.shape_2}]},1).to({state:[{t:this.shape_3}]},1).to({state:[{t:this.shape_4}]},1).to({state:[{t:this.shape_5}]},1).to({state:[{t:this.shape_6}]},1).to({state:[{t:this.shape_7}]},1).to({state:[{t:this.shape_8}]},1).to({state:[{t:this.shape_9}]},1).to({state:[{t:this.shape_10}]},1).to({state:[{t:this.shape_11}]},1).to({state:[{t:this.shape_12}]},1).to({state:[{t:this.shape_13}]},1).to({state:[{t:this.shape_14}]},1).to({state:[{t:this.shape_15}]},1).to({state:[{t:this.shape_16}]},1).to({state:[{t:this.shape_17}]},1).to({state:[{t:this.shape_18}]},1).to({state:[{t:this.shape_19}]},1).to({state:[{t:this.shape_20}]},1).to({state:[{t:this.shape_21}]},1).to({state:[{t:this.shape_22}]},1).to({state:[{t:this.shape_23}]},1).to({state:[{t:this.shape_24}]},1).to({state:[{t:this.shape_25}]},1).to({state:[{t:this.shape_26}]},1).to({state:[{t:this.shape_27}]},1).to({state:[{t:this.shape_28}]},1).to({state:[{t:this.shape_28}]},1).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1,-1,166,166);


(lib.ExclamationMarkAnimation = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// timeline functions:
	this.frame_16 = function() {
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).wait(16).call(this.frame_16).wait(1));

	// Symbol Animation
	this.instance = new lib.ExclamationMark();
	this.instance.setTransform(-3.95,57.9,0.1283,0.1283,58.6951,0,0,-4.1,57.7);
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1).to({_off:false},0).wait(1).to({regX:0,regY:-1.3,scaleX:0.1451,scaleY:0.1451,rotation:57.3919,x:3.55,y:53.75},0).wait(1).to({scaleX:0.2065,scaleY:0.2065,rotation:52.6293,x:6.2,y:51.2},0).wait(1).to({scaleX:0.3355,scaleY:0.3355,rotation:42.6113,x:10.45,y:44.3},0).wait(1).to({scaleX:0.546,scaleY:0.546,rotation:26.2639,x:12.25,y:30},0).wait(1).to({scaleX:0.7687,scaleY:0.7687,rotation:8.9787,x:6.2,y:13.65},0).wait(1).to({scaleX:0.9129,scaleY:0.9129,rotation:-2.218,x:-2.3,y:4},0).wait(1).to({scaleX:0.9814,scaleY:0.9814,rotation:-7.5419,x:-7.55,y:0.05},0).wait(1).to({regX:-4,regY:58,scaleX:1,scaleY:1,rotation:-8.984,x:-4,y:58},0).wait(1).to({regX:0,regY:-1.3,rotation:-8.7641,x:-9.05,y:-1.25},0).wait(1).to({rotation:-7.899,x:-8.2,y:-1.3},0).wait(1).to({rotation:-5.9002,x:-6.1,y:-1.35},0).wait(1).to({rotation:-2.9904,x:-3.05,y:-1.4},0).wait(1).to({rotation:-1.0524,x:-1.05,y:-1.35},0).wait(1).to({rotation:-0.214,x:-0.2,y:-1.3},0).wait(1).to({regX:-4,regY:58,rotation:0,x:-4,y:58},0).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-39,-76.1,77.9,152.39999999999998);


(lib.stuffcar = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// timeline functions:
	this.frame_29 = function() {
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).wait(29).call(this.frame_29).wait(1));

	// Layer 1
	this.instance = new lib.ExclamationMarkAnimation();
	this.instance.setTransform(61.35,61.1,0.5035,0.5035,0,0,0,-2.8,-4.5);
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(29).to({_off:false},0).wait(1));

	// Layer 4
	this.instance_1 = new lib.circle();
	this.instance_1.setTransform(64.15,64.15,0.8383,0.8383,0,0,0,82,82);
	this.instance_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(26).to({_off:false},0).wait(4));

	// Layer 6
	this.shape = new cjs.Shape();
	this.shape.graphics.f("rgba(206,214,73,0.2)").s().p("AiCCSQAih9gBgaQgBgaAdgyQAegxAvgNQA0gOAhAbQAmAgAABTQAABAgSAeQgTAegnAXQgcARhRAAQgiAAgqgDg");
	this.shape.setTransform(-101.075,103.0359);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("rgba(206,214,73,0.6)").s().p("AiCA8QAHhRAag+QAag+AvgbQAtgbAyAAQA1AAAZAiQAeApgWBRQgRA+grBBQgbApjrBLQAcg5AHhTg");
	this.shape_1.setTransform(-84.5218,87.9246);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("rgba(206,214,73,0.8)").s().p("AilBEQAhhEA4g9QA4g/AzgaQA0gbBDgDQBDgCAUA6QAUA6hBA/QhBA+g3AhQg3AikCA3QArguAhhDg");
	this.shape_2.setTransform(-58.0832,67.9202);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("rgba(206,214,73,0.8)").s().p("AjlBrQAAgcAohJQAnhHCOg7QCMg8A3AiQA2AjAIAsQAIAthDA3QhCA5iZAQQiZAQhDAtQAUgcAAgcg");
	this.shape_3.setTransform(-23.2846,49.7858);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("rgba(206,214,73,0.8)").s().p("AgaBqQirgXiKABIBRg0IBmhAQBUg3CWgVQCWgVAzAvQA0AvABAsQAAAthgAmQg8AXhZAAQg2AAg/gJg");
	this.shape_4.setTransform(15.5001,38.5512);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("rgba(206,214,73,0.8)").s().p("AgsBNQiehCiGgiIBdgdIClgxQCTgsAgARQAhAQgDAKQgCAKBbASQBcATAPAtQAQAsgLAsQgLArhnALQgPACgQAAQhfAAiIg5g");
	this.shape_5.setTransform(57.3117,37.9765);

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("rgba(206,214,73,0.8)").s().p("ACqDWQhngQiIhpQiHhohrgYQBmgwBHgNQBHgMB9hNQB9hNgIBqQgHBqAKgJQAJgIA9A+QA8A+AEAvQAEAwgWAnQgPAbg4AAQgXAAgegEg");
	this.shape_6.setTransform(86.2969,38.6415);

	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f("rgba(206,214,73,0.8)").s().p("AhZDNQAYhUg0igQgziihRhLQBwAKBFAZQBEAZCRgEQCUgEg8BYQg8BXANgCQANgCgDBgQgEBhgyA8QgyA7hmAQQgPACgNAAQhHAAAUhIg");
	this.shape_7.setTransform(103.2801,63.8388);

	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f("rgba(206,214,73,0.8)").s().p("AieEZQiVgQAnhCQAmhBgnhhQgohfAaAKQAZAKA4AkQA5AjBPhxQBPhxADhZQBNBEAzAxQAzAxA/CJQA/CKguAQQgvAQgggIQgggHgSgWIhGBAQhIBBhyAAQgXAAgZgCg");
	this.shape_8.setTransform(98.5199,78.0685);

	this.shape_9 = new cjs.Shape();
	this.shape_9.graphics.f("rgba(206,214,73,0.8)").s().p("ABkEWQgpgLgQgYQgRgYADgcIhtgCQhdgCg2iEQg2iDA6hkQA7hkA0gCQAzgCgdAgQgdAhAKBQQALBQCMgvQCMguBAg9QAHBmABBIQACBFg6CAQg0B1gnAAIgHgBg");
	this.shape_9.setTransform(85.8147,92.9788);

	this.shape_10 = new cjs.Shape();
	this.shape_10.graphics.f("rgba(206,214,73,0.8)").s().p("AhdE+QgdgegCgcQgDgeARgWIhQgzQhihAANiuQANivB5gwQB4gxBBA+QBBA9g5gPQg5gPglBfQgmBfCHAeQCIAeBWgUQgtBbgjA+QghA+hyBSQhSA8gmAAQgPAAgIgJg");
	this.shape_10.setTransform(70.424,90.5768);

	this.shape_11 = new cjs.Shape();
	this.shape_11.graphics.f("rgba(206,214,73,0.8)").s().p("Aj0FAQAKhKANgZQAMgbAsgXQgagDg6hqQg5hoBci5QBci5C1A0QC2A1gIBuQgHBvgQgRQgQgRhCAmQhDAmA/BeQA/BfBVAZQhWA5hGA1QhGA0iVAfQgtAJgeAAQhJAAAHg0g");
	this.shape_11.setTransform(55.3166,76.0574);

	this.shape_12 = new cjs.Shape();
	this.shape_12.graphics.f("rgba(206,214,73,0.8)").s().p("AiiF6QivgNgXhIQgXhIBXgIQBXgIAwgMQgvg6gjiOQgjiQCgiVQCgiWC6B9QC6B+hBB7QhCB6gLgVQgLgUhJATQhLAUAlBsQAkBrBLAvIisA8QgyARhdAAQgwAAg8gFg");
	this.shape_12.setTransform(49.7427,62.0707);

	this.shape_13 = new cjs.Shape();
	this.shape_13.graphics.f("rgba(206,214,73,0.8)").s().p("AkBGeQisgkg2iCQg2iBB4AwQB5AvBAARQgnhAgVi5QgWi5DRifQDQigD5CxQD5CyinCrQimCtgGgUQgHgUg5AHQg6AIgQBgQgRBfBBA3IiyAkQgYAFghAAQhKAAh4gZg");
	this.shape_13.setTransform(50.5637,50.9403);

	this.shape_14 = new cjs.Shape();
	this.shape_14.graphics.f("rgba(206,214,73,0.8)").s().p("AlzGVQiagzhLiqIABgYQACg9ANg5QATALAaAWQCUB4A6gGQgagggNj1QgMjVDdh3QBggfBrAAQEKAAC8C8QA/A/AqBHQAKBOg2BHQhYALgaASQkJCxgEgUQgEgWg6ACQg7ABgZBeQgaBdA5A9Ii1ARIgVAAQhOAAiUgvg");
	this.shape_14.setTransform(60.0573,45.2454);

	this.shape_15 = new cjs.Shape();
	this.shape_15.graphics.f("rgba(206,214,73,0.8)").s().p("Aj9GhQhjgIiOhiQhvhMgeieIAJgrIAIgcQAXhGAkg+IAKAOQBmCEBHBLQhphzBAjbQANgsAXgjQAagTAcgQQDmiGD/BFQEBBFCEDnQBhClgIC1QgIBPgXBWIgBAFQiYh8ioASQioARABgoQABgog5gNQg5gPgwBUQgzBTApBKQhlgRhigIg");
	this.shape_15.setTransform(64.8842,44.0773);

	this.shape_16 = new cjs.Shape();
	this.shape_16.graphics.f("rgba(206,214,73,0.8)").s().p("AERGBQifiHABhAQABhAg1gYQg1gZg/BJQhBBIAZBQQhfgkicgkQicgjh2h7QgNgOgLgOQAGh+A8h8IANgaQAkhCAvg2IAIAQQArBXAlBCQg7h8AphwQBWhIB0gnQD5hYDvB1QDvB0BWD8QBYD5h1DvQhCCIhtBWQgVhihrhag");
	this.shape_16.setTransform(64.2015,57.1485);

	this.shape_17 = new cjs.Shape();
	this.shape_17.graphics.f("rgba(206,214,73,0.8)").s().p("ABHHAQhNi+A2haQA3hbgugiQgvglhNA6QhPA4AHBUQiXgki/g3QhtgegyhFQgGjjCRi4IATgWQChi7D5gcQEHgfDQClQDPClAfEIQAfEHilDQQimDRkIAeIgKAAQA5hIgxh3g");
	this.shape_17.setTransform(64.1332,64.0042);

	this.shape_18 = new cjs.Shape();
	this.shape_18.graphics.f("rgba(206,214,73,0.8)").s().p("AhUJ+QAOg7gihcQhGi6B8hbQB7hcg4gWQg3gVgsAgQguAgAUBSQkIBni0grIgcgIQgXgzgPg4QhFkACFjmIAPgZQCEjRDyhAQD/hGDmCGQDmCFBEEAQBGEAiEDmQiGDmkBBEQhYAYhUAAQgmAAgngFg");
	this.shape_18.setTransform(64.2064,64.097);

	this.shape_19 = new cjs.Shape();
	this.shape_19.graphics.f("rgba(206,214,73,0.8)").s().p("AhUJ+QhWgLg+gbQAohQgDhsQgChsBphTQBohTgtgBQguAAgRATQgRATgKAiQjhB1hhgDQhhgCgOACQgvhlgPg4QhFkACFjmIAPgZQCEjRDyhAQD/hGDmCGQDmCFBEEAQBGEAiEDmQiGDmkBBEQhYAYhUAAQgmAAgngFg");
	this.shape_19.setTransform(64.2064,64.097);

	this.shape_20 = new cjs.Shape();
	this.shape_20.graphics.f("rgba(206,214,73,0.8)").s().p("AlMIkQAsg0APhJQAciTBkgzQBjg1gbgGQgbgHAAgCQAAgDgjAzQj0DBihgyQhKhzgUiSQgkkHChjTQAIgMAJgLQCdi/D5ghQEGglDUCgQDTChAkEIQAlEGigDUQiiDTkIAkQgxAHguAAQitAAiWheg");
	this.shape_20.setTransform(64.1851,64.1677);

	this.shape_21 = new cjs.Shape();
	this.shape_21.graphics.f("rgba(206,214,73,0.8)").s().p("AlMIkQhHgsgxg1QBRgrAjg0QAjg0ArghQArgiBJgqQBIgqgZgFQgbgHAAgCQgBgCgiAyQieBPhiAdQhiAdg0gtQgzgugUiSQgkkHChjTQAIgMAJgLQCdi/D5ghQEGglDUCgQDTChAkEIQAlEGigDUQiiDTkIAkQgxAHguAAQitAAiWheg");
	this.shape_21.setTransform(64.1851,64.1677);

	this.shape_22 = new cjs.Shape();
	this.shape_22.graphics.f("rgba(206,214,73,0.8)").s().p("Ag+J+QkIgaipjOQgug4ggg9QArgWA0gUQhLgCg1ghQguiBAQiRQAakKDNinQALgKAMgIQDFiWD5AaQEJAaCnDNQCoDOgaEHQgaEJjNCoQiyCSjdAAQgiAAgkgEgAizCoQBcgNgWgLQgZgNABgCIAAAAQgCAAgsAng");
	this.shape_22.setTransform(64.0836,64.1184);

	this.shape_23 = new cjs.Shape();
	this.shape_23.graphics.f("rgba(206,214,73,0.8)").s().p("AnEHGQi9i9AAkJIABgcQAKj3CyixQC7i9EJAAQEJAAC8C9QC9C7AAEJQAAEKi9C8Qi7C8kKAAQkJAAi7i8g");
	this.shape_23.setTransform(64.15,64.15);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape}]}).to({state:[{t:this.shape_1}]},1).to({state:[{t:this.shape_2}]},1).to({state:[{t:this.shape_3}]},1).to({state:[{t:this.shape_4}]},1).to({state:[{t:this.shape_5}]},1).to({state:[{t:this.shape_6}]},1).to({state:[{t:this.shape_7}]},1).to({state:[{t:this.shape_8}]},1).to({state:[{t:this.shape_9}]},1).to({state:[{t:this.shape_10}]},1).to({state:[{t:this.shape_11}]},1).to({state:[{t:this.shape_12}]},1).to({state:[{t:this.shape_13}]},1).to({state:[{t:this.shape_14}]},1).to({state:[{t:this.shape_15}]},1).to({state:[{t:this.shape_16}]},1).to({state:[{t:this.shape_17}]},1).to({state:[{t:this.shape_18}]},1).to({state:[{t:this.shape_19}]},1).to({state:[{t:this.shape_20}]},1).to({state:[{t:this.shape_21}]},1).to({state:[{t:this.shape_22}]},1).to({state:[{t:this.shape_23}]},1).to({state:[]},1).wait(6));

	// Layer 5
	this.shape_24 = new cjs.Shape();
	this.shape_24.graphics.f("#CED649").s().p("AnEHGQi9i9AAkJIABgcQAKj3CyixQC7i9EJAAQEJAAC8C9QC9C7AAEJQAAEKi9C8Qi7C8kKAAQkJAAi7i8g");
	this.shape_24.setTransform(64.15,64.15);
	this.shape_24._off = true;

	this.timeline.addTween(cjs.Tween.get(this.shape_24).wait(24).to({_off:false},0).wait(6));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-114.2,-5.4,242.7,133.8);


// stage content:
(lib.Element_exclamation_mark_green_circle_Canvas = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// thrumpface
	this.instance = new lib.stuffcar();
	this.instance.setTransform(232.6,200.6,1.2479,1.2479,0,0,0,64.2,64.2);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(210,430.5,-167.2,-162.8);
// library properties:
lib.properties = {
	id: '83C4E44A87E6044DB81C56BA38B4AA20',
	width: 400,
	height: 400,
	fps: 24,
	color: "#CCCCCC",
	opacity: 1.00,
	manifest: [],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['83C4E44A87E6044DB81C56BA38B4AA20'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}
an.handleFilterCache = function(event) {
	if(!event.paused){
		var target = event.target;
		if(target){
			if(target.filterCacheList){
				for(var index = 0; index < target.filterCacheList.length ; index++){
					var cacheInst = target.filterCacheList[index];
					if((cacheInst.startFrame <= target.currentFrame) && (target.currentFrame <= cacheInst.endFrame)){
						cacheInst.instance.cache(cacheInst.x, cacheInst.y, cacheInst.w, cacheInst.h);
					}
				}
			}
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;